OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.EdgeFlag

Description

This is a purely internal module for (un-)marshaling EdgeFlag.

Synopsis

- data EdgeFlag
  - = BeginsInteriorEdge
  - | BeginsBoundaryEdge
- marshalEdgeFlag :: EdgeFlag -> GLboolean
- unmarshalEdgeFlag :: GLboolean -> EdgeFlag

# Documentation

data EdgeFlag

A vertex can begin an edge which lies in the interior of its polygon or on the polygon's boundary.

Constructors

BeginsInteriorEdge |
BeginsBoundaryEdge |

Instances

Eq EdgeFlag |
Ord EdgeFlag |
Show EdgeFlag |

marshalEdgeFlag :: EdgeFlag -> GLboolean

unmarshalEdgeFlag :: GLboolean -> EdgeFlag